Package gnu.jel

# Class CompilationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
gnu.jel.CompilationException

All Implemented Interfaces:
  `Serializable`

public class CompilationException extends Exception
Represents an error encountered during the compilation.

The text of the messages can be changed/internationalized by modification of JEL.properties file

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`col`

## Constructor Summary

Constructors
Constructor
Description
`CompilationException(int code, Object param)`
Constructs new CompilationException with a single formatting parameter.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
Used to obtain the column, where error have occurred.
`String`
`getMessage()`
Used to obtain the formatted error message.
`Object[]`
`getParameters()`
Used to obtain the parameters for this error.
`int`
`getType()`
Used to obtain the error code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### col

public int col

## Constructor Details

### CompilationException

public CompilationException(int code, Object param)
Constructs new CompilationException with a single formatting parameter.

Parameters:
  `code` - is the error code (must correspond to a message in JEL.properties file).
  `param` - is the single Object parameter or an array of Objects to be used in message formatting.

## Method Details

### getColumn

public int getColumn()
Used to obtain the column, where error have occurred.

Returns:
  column, where error have occurred.

### getType

public int getType()
Used to obtain the error code.

Returns:
  the error code, corresponding to one of the messages in JEL.properties file.

### getParameters

public Object[] getParameters()
Used to obtain the parameters for this error.

Returns:
  the parameters to be used in message formatting, they provide further information about the error.

### getMessage

public String getMessage()
Used to obtain the formatted error message.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the formatted error message.